# Retrieve an invoice Retrieve the details of a specific Invoice object. Endpoint: GET /object-query/invoices/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "account.billto", "account.soldto", "account.shipto", "billtocontact", "billtocontactsnapshot", "soldtocontactsnapshot", "shiptocontactsnapshot", "invoiceitems", "invoiceitems.subscription", "invoiceitems.subscription.account" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the invoice. - `createdById` (string) The unique identifier of the user who created the invoice. - `createdDate` (string) The time that the invoice gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `updatedById` (string) The unique identifier of the user who last updated the invoice. - `updatedDate` (string) The time that the invoice gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `accountId` (string) The ID of the customer account associated with the invoice. - `adjustmentAmount` (number) The amount of the invoice adjustments associated with the invoice. - `amount` (number) The total amount of the invoice. - `amountWithoutTax` (number) The invoice amount excluding tax. - `autoPay` (boolean) Whether invoices are automatically picked up for processing in the corresponding payment run. - `balance` (number) The remaining balance of the invoice after all payments, adjustments, and refunds are applied. - `billToContactId` (string) The ID of the bill-to contact associated with the invoice. - `billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `comments` (string) Comments about the invoice. - `creditBalanceAdjustmentAmount` (number) The currency amount of the adjustment applied to the customer's credit balance. Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. - `creditMemoAmount` (number) The currency amount of all credit memos applied to this invoice. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `currency` (string,null) The currency of the invoice. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `dueDate` (string) The date by which the payment for this invoice is due, in yyyy-mm-dd format. - `includesOneTime` (boolean) Specifies whether the invoice includes one-time charges. - `includesRecurring` (boolean) Specifies whether the invoice includes recurring charges. - `includesUsage` (boolean) Specifies whether the invoice includes usage charges. - `invoiceDate` (string) The date that appears on the invoice being created. - `invoiceNumber` (string) The unique identification number of the invoice. - `lastEmailSentDate` (string) The date when the invoice was last emailed. - `organizationId` (string) ID of the organization this object belongs to. - `paymentAmount` (number) The amount of payments applied to the invoice. - `postedBy` (string) The user ID of the person who moved the invoice to Posted status. - `postedDate` (string) The date when the invoice was posted. - `refundAmount` (number) Specifies the amount of a refund that was applied against an earlier payment on the invoice. - `sequenceSetId` (string,null) The ID of the sequence set associated with the invoice. - `communicationProfileId` (string,null) The ID of the communication profile associated with the invoice. - `shipToContactId` (string) The ID of the ship-to contact associated with the invoice. - `shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `soldToContactId` (string) The ID of the sold-to contact associated with the invoice. - `soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `source` (string) The source of the invoice. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend" - `sourceId` (string) The ID of the invoice source. If an invoice is generated from a bill run, the value is the number of the corresponding bill run.Otherwise, the value is null. - `reversed` (boolean) Whether the invoice is reversed. - `sourceType` (string) The type of the invoice source. Enum: "Subscription", "Standalone", "Order", "Consolidation" - `status` (string) The status of the invoice. Enum: "Draft", "Posted" - `targetDate` (string) This date is used to determine which charges are to be billed. All charges that are to be billed on this date or prior will be included in this bill run. - `taxAmount` (number) The amount of taxation. - `taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `taxMessage` (string,null) The message that the tax engine return if it calculates the taxes of this invoice fails. - `taxStatus` (string) The status that the tax engine return after it calculates the taxes of this invoice. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `templateId` (string) The ID of the invoice template. - If you have the Flexible Billing Attributes feature enabled, the value of this field depends on the configuration of the invoice template. - If you specify an invoice template at the subscription level, the value of this field is automatically populated from the corresponding subscription. - If you do not specify any invoice template at the subscription level, the value of this field is automatically populated from the corresponding account. - If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `transferredToAccounting` (string) Whether the invoice was transferred to an external accounting system. Enum: "Processing", "Error", "Ignore", "Yes", "No" - `eInvoiceStatus` (string) It could be Processing, RetrieveTimeOut, Generated, Success, ConditionalSuccess, ApprovedByAuthority, Failed, and Rejected. If it’s Failed, it will have an error code and message. If it’s Generated or Success, both error code and message are empty, and eInvoiceFileId stores the file id of e-invoice. Enum: "Processing", "RetrieveTimeOut", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `eInvoiceFileId` (string) The ID of the e-invoice file. - `eInvoiceErrorCode` (string) The error code when status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `eInvoiceErrorMessage` (string) The error message when status is "Failed". This message can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `paymentLink` (string) A link to the Payment Link page where the customer can pay the invoice. The link is generated only if the invoice is posted after enabling the Payment Link feature on your tenant. Note: The Payment Link feature is in the Early Adopter phase. You can enable the Payment Link feature through a self-service configuration in the Manage Features setting for Zuora Payments. - `paymentTerm` (string) The payment term associated with the invoice. The payment term determines the due dates of invoices. Example: "Net 30" - `account` (object) - `account.id` (string) The unique identifier of the account. - `account.createdById` (string) The unique identifier of the user who created the account. - `account.createdDate` (string) The date and time when the account was created. - `account.updatedById` (string) The unique identifier of the user who last updated the account. - `account.updatedDate` (string) The date and time when the account was last updated. - `account.accountNumber` (string) The account number that identifies the account. - `account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `account.balance` (number) The customer's total invoice balance minus credit balance. - `account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `account.creditBalance` (number) The current credit balance on the account. - `account.crmId` (string) External identifier of the account in a CRM system. - `account.currency` (string) A currency defined in the web-based UI administrative settings. - `account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `account.name` (string) The name of the account. - `account.notes` (string) A string of up to 65,535 characters. - `account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `account.salesRepName` (string) Name of the account's sales representative, if applicable. - `account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `account.unappliedBalance` (number) Total unapplied balance in this currency. - `account.vATId` (string) EU Value Added Tax ID. - `account.mrr` (number) Monthly recurring revenue for the account. - `account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `account.billTo` (object) The bill-to contact on this account. - `account.shipTo` (object) The ship-to contact on the account. - `account.soldTo` (object) The sold-to contact on the account. - `account.defaultPaymentMethod` (object) The default payment method associated with the account. - `account.subscriptions` (array) The subscriptions associated with the account. - `account.payments` (array) The payments associated with the account. - `account.refunds` (array) The refunds associated with the account. - `account.creditMemos` (array) The credit memos associated with the account. - `account.debitMemos` (array) The debit memos associated with the account. - `account.invoices` (array) The invoices associated with the account. - `account.usages` (array) The usage records associated with the account. - `account.paymentMethods` (array) The payment methods associated with the account. - `billToContact` (object) - `billToContact.id` (string) The unique identifier of the contact. - `billToContact.createdById` (string) The unique identifier of the user who created the contact. - `billToContact.createdDate` (string) The date and time when the contact was created. - `billToContact.updatedById` (string) The unique identifier of the user who last updated the contact. - `billToContact.updatedDate` (string) The date and time when the contact was last updated. - `billToContact.accountId` (string) The ID of the account associated with the contact. - `billToContact.address1` (string) The first line of the contact's address, which is often a street address or business name. - `billToContact.address2` (string) The second line of the contact's address. - `billToContact.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. - `billToContact.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. - `billToContact.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. - `billToContact.city` (string) The city of the contact's address. - `billToContact.country` (string) The country of the contact's address. - `billToContact.county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `billToContact.fax` (string) The contact's fax number. - `billToContact.description` (string) A description for the contact. - `billToContact.firstName` (string) The contact's first name. - `billToContact.homePhone` (string) The contact's home phone number. - `billToContact.lastName` (string) The contact's last name. - `billToContact.mobilePhone` (string) The mobile phone number of the contact. - `billToContact.nickname` (string) A nickname for the contact. - `billToContact.otherPhone` (string) An additional phone number for the contact. - `billToContact.otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `billToContact.personalEmail` (string) The contact's personal email address. - `billToContact.state` (string) The state or province of the contact's address. - `billToContact.postalCode` (string) ZIP code or other postal code of the contact's address. - `billToContact.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. - `billToContact.workEmail` (string) The contact's business email address. - `billToContact.workPhone` (string) The contact's business phone number. - `invoiceItems` (array) - `invoiceItems.id` (string) The unique identifier of the invoice item. - `invoiceItems.createdById` (string) The unique identifier of the user who created the invoice item. - `invoiceItems.createdDate` (string) The date and time when the invoice item was created. - `invoiceItems.updatedById` (string) The unique identifier of the user who last updated the invoice item. - `invoiceItems.updatedDate` (string) The date and time when the invoice item was last updated. - `invoiceItems.invoiceId` (string) The unique identifier of the invoice to which this invoice item belongs. - `invoiceItems.invoiceScheduleId` (string) The ID of the invoice schedule associated with the rate plan charge on the subscription. Note: This field is available only if you have the Billing Schedule feature enabled. - `invoiceItems.invoiceScheduleItemId` (string) The ID of the invoice schedule item that generates this invoice item. Note: This field is available only if you have the Billing Schedule feature enabled. - `invoiceItems.ratePlanChargeId` (string) The ID of the rate plan charge associated with the invoice item. - `invoiceItems.accountingCode` (string) The accounting code associated with the invoice item. - `invoiceItems.appliedToInvoiceItemId` (string) The unique ID of the invoice item that the discount charge is applied to. - `invoiceItems.chargeAmount` (number) The amount of the charge. Note: This amount does not include taxes regardless if the charge's tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge. - `invoiceItems.chargeDate` (string) The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format. - `invoiceItems.chargeName` (string) The name of the charge. - `invoiceItems.chargeNumber` (string) Number of the charge. - `invoiceItems.commitmentChargeNumber` (string) - `invoiceItems.commitmentChargeSegmentNumber` (string) - `invoiceItems.description` (string) The description of the invoice item. - `invoiceItems.discountAmount` (number) The amount of the discount. - `invoiceItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the invoice item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.fulfillmentId` (string) The reference ID of the fulfillment associated with the invoice item. - `invoiceItems.itemShipToContactId` (string) The ID of the ship-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItems.itemSoldToContactId` (string) The ID of the sold-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItems.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItems.processingType` (string) The kind of the charge for the invoice item. - 0: charge - 1: discount - 2: prepayment - 3: tax Enum: "0", "1", "2", "3" - `invoiceItems.quantity` (number) The quantity of this item, in the configured unit of measure for the charge. - `invoiceItems.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `invoiceItems.revRecStartDate` (string) - `invoiceItems.serviceEndDate` (string) The end date of the service period for this item, i.e., the last day of the service period, as _yyyy-mm-dd_. - `invoiceItems.serviceStartDate` (string) The start date of the service period for this item, as _yyyy-mm-dd_. For a one-time fee item, the date of the charge. - `invoiceItems.sKU` (string) The SKU of the product associated with the invoice item. - `invoiceItems.sourceItemType` (string) The type of the source item. Enum: "SubscriptionComponent", "Rounding", "ProductRatePlanCharge", "None", "OrderLineItem" - `invoiceItems.subscriptionId` (string) ID of the subscription associated with the invoice item. - `invoiceItems.subscriptionNumber` (string) Number of the subscription associated with the invoice item. - `invoiceItems.taxAmount` (number) The amount of tax applied to the charge. - `invoiceItems.taxCode` (string) The tax code of the invoice item. Note Only when taxation feature is enabled, this field can be presented. - `invoiceItems.taxExemptAmount` (number) - `invoiceItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `invoiceItems.unitPrice` (number) The per-unit price of the invoice item. Note: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts). - `invoiceItems.uOM` (string) The unit of measure (UOM) that is configured in Settings > Billing for the product rate plan charge. - `invoiceItems.balance` (number) The balance of the invoice item. Note: This field is only available if you have the Invoice Settlement feature enabled. - `invoiceItems.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. Note: This field is available only if you have the Delivery Pricing feature enabled. - `invoiceItems.accountReceivableAccountingCodeId` (string) ID of the account receivable accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.recognizedRevenueAccountingCodeId` (string) ID of the recognized revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.deferredRevenueAccountingCodeId` (string) ID of the deferred revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.contractAssetAccountingCodeId` (string) ID of the accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.contractLiabilityAccountingCodeId` (string) ID of the accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.contractRecognizedRevenueAccountingCodeId` (string) ID of the accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.unbilledReceivablesAccountingCodeId` (string) - `invoiceItems.adjustmentRevenueAccountingCodeId` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.adjustmentLiabilityAccountingCodeId` (string) ID of the accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.journalEntryId` (string) The ID of the journal entry that corresponds to this invoice item. - `invoiceItems.accountId` (string) The ID of the account associated with the invoice item. - `invoiceItems.parentAccountId` (string) The parent account of the account associated with the invoice. Note: This field is available only if you have Customer Hierarchy enabled for your tenant. - `invoiceItems.defaultPaymentMethodId` (string) The ID of the default payment method on the associated account. - `invoiceItems.ratePlanId` (string) The ID of the rate plan that the invoice is created from. - `invoiceItems.amendmentId` (string) The ID of the amendment associated with the subscription. Note: This field is available only if you do not have Orders enabled for your tenant. - `invoiceItems.productRatePlanChargeId` (string) The ID of the product rate plan charge that the invoice item is created from. - `invoiceItems.productRatePlanId` (string) The ID of the product rate plan that the invoice item is created from. - `invoiceItems.productId` (string) The ID of the product that the invoice item is created from. - `invoiceItems.bookingReference` (string) The booking reference of the invoice item. - `invoiceItems.itemType` (string) The type of the invoice item. - `invoiceItems.purchaseOrderNumber` (string) The purchase order number associated with the invoice item. - `invoiceItems.revRecCode` (string) The revenue recognition code. - `invoiceItems.revRecTriggerCondition` (string) The date when revenue recognition is triggered. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate" - `invoiceItems.revenueRecognitionRuleName` (string) The revenue recognition rule of the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.subscriptionOwnerId` (string) The ID of the subscription owner associated with the invoice item. - `invoiceItems.orderLineItemId` (string) The reference ID of the oder line item associated with the invoice item. - `invoiceItems.invoice` (object) The invoices to which the invoice item belongs. - `invoiceItems.subscription` (object) The invoice to which the invoice item belongs. - `invoiceItems.ratePlanCharge` (object) The rate plan charge associated with the invoice item. - `invoiceItems.orderLineItem` (object) The order line item associated with the invoice item. - `billToContactSnapshot` (object) - `billToContactSnapshot.id` (string) The unique identifier of the contact snapshot. - `billToContactSnapshot.createdById` (string) The unique identifier of the user who created the snapshot. - `billToContactSnapshot.createdDate` (string) The date and time when the contact snapshot was created. - `billToContactSnapshot.updatedById` (string) The unique identifier of the user who last updated the snapshot. - `billToContactSnapshot.updatedDate` (string) The date and time when the contact snapshot was last updated. - `billToContactSnapshot.accountId` (string) The unique identifier of the associated billing account. - `billToContactSnapshot.contactId` (string) The unique identifier of the original contact. - `billToContactSnapshot.firstName` (string) The first name of the contact. - `billToContactSnapshot.lastName` (string) The last name of the contact. - `billToContactSnapshot.nickName` (string) The nickname of the contact. - `billToContactSnapshot.address1` (string) The first line of the address. - `billToContactSnapshot.address2` (string) The second line of the address. - `billToContactSnapshot.postalCode` (string) The postal or ZIP code. - `billToContactSnapshot.county` (string) The county or region of the contact. - `billToContactSnapshot.country` (string) The county or region of the contact. - `billToContactSnapshot.taxRegion` (string) The tax region applicable to the contact. - `billToContactSnapshot.description` (string) The free-form description of the contact snapshot. - `billToContactSnapshot.homePhone` (string) The home phone number. - `billToContactSnapshot.otherPhone` (string) Any other phone number. - `billToContactSnapshot.otherPhoneType` (string) The type of the other phone number. - `billToContactSnapshot.fax` (string) The fax number. - `billToContactSnapshot.personalEmail` (string) The personal email address. - `billToContactSnapshot.workEmail` (string) The personal email address. - `billToContactSnapshot.deleted` (boolean) Indicates whether the contact snapshot is marked as deleted. - `soldToContactSnapshot` (object) - `shipToContactSnapshot` (object) ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.